#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// 拷贝 src 的前 n 个字符到 dest 中
char *str_n_cat(char *dest, char *src, int n)
{
    int insert_pos = 0;
    while (dest[insert_pos])
        insert_pos++;

    // 在 dest 的第一个 '\0' 处插入 src 内容
    for (int i = 0; i < n; i++)
    // for (int i = 0; *(src + i); i++)
    {
        dest[insert_pos++] = *(src + i);
    }

    return dest;
}

int main()
{
    char p[100] = "good, 1\023";
    str_n_cat(p, "小李子", 6);
    printf("%s\n", p);
    return 0;
}